//iOS9 fix based on https://github.com/angular/angular.js/issues/12241 & https://gist.github.com/IgorMinar/863acd413e3925bf282c
var app = angular.module('HyPro', ['ngAnimate', 'ngRoute', 'ngSanitize', 'ngTouch', 'ngIOS9UIWebViewPatch']);

app.config( ['$routeProvider', function($routeProvider){
	$routeProvider.
		when('/', {
			templateUrl: 'home.html',
			controller: 'HomeController'
		}).
		when('/calculator/:system', {
			templateUrl: 'calculator.html',
			controller: 'CalculatorController'
		}).
		when('/about', {
			templateUrl: 'about.html',
			controller: 'AboutController'
		}).
		otherwise({
			redirectTo: '/calculator'
		})
}
]);

app.factory('ISOLookup', [ISOLookup]);

app.controller('ViewController', ['$scope', '$location', ViewController]);
app.controller('MenuController', ['$scope', '$location', MenuController]);
app.controller('HomeController', ['$scope', HomeController]);
app.controller('CalculatorController', ['$scope', '$routeParams', 'ISOLookup', CalculatorController]);
app.controller('AboutController', ['$scope', AboutController]);