function ISOLookup(){

	var isoParticlesArray = [];
	var particleOffset = 5;

	var init = function(){
		var currentISO = 0.15625;

		isoParticlesArray.push(currentISO);

		//define some measurements; double the currentISO variable each time except on a few conditions
		for( i = particleOffset; i < 31; i++ ){
			switch(currentISO) {
				case 640:
					currentISO = 1300;
					break;
				case 1300:
					currentISO = 2500;
					break;
				case 640000:
					currentISO = 1300000;
					break;
				case 1300000:
					currentISO = 2500000;
					break;
				default:
					currentISO *=2;
			}
			isoParticlesArray.push(currentISO);
		}
	};

	//implement ISO code 4406-1999 lookup table
	//argument(s): index of the value from the 5-28 array
	var isoConvert = function(index){
		var arrayIndex = Math.abs(particleOffset - 1 - index);
		return isoParticlesArray[arrayIndex];
	};

	init();

	return {
		isoConvert:isoConvert
	};

}